FTGL: FTBufferGlyph Class Reference

FTGL 2.1.3~rc5

Public Member Functions
FTBufferGlyph Class Reference

FTBufferGlyph is a specialisation of FTGlyph for memory buffer rendering. More...

`#include <FTBufferGlyph.h>`

Inheritance diagram for FTBufferGlyph:
[legend]
Collaboration diagram for FTBufferGlyph:
[legend]

## Public Member Functions
| FTBufferGlyph (FT_GlyphSlot glyph, FTBuffer *buffer)
| Constructor. More...
virtual | ~FTBufferGlyph ()
| Destructor. More...
virtual const FTPoint & | Render (const FTPoint &pen, int renderMode)
| Render this glyph at the current pen position. More...
Public Member Functions inherited from FTGlyph
virtual | ~FTGlyph ()
| Destructor. More...
virtual float | Advance () const
| Return the advance width for this glyph. More...
virtual const FTBBox & | BBox () const
| Return the bounding box for this glyph. More...
virtual FT_Error | Error () const
| Queries for errors. More...

## Additional Inherited Members
Protected Member Functions inherited from FTGlyph
| FTGlyph (FT_GlyphSlot glyph)
| Create a glyph. More...

## Detailed Description

FTBufferGlyph is a specialisation of FTGlyph for memory buffer rendering.

Definition at line 40 of file FTBufferGlyph.h.

## Constructor & Destructor Documentation

## ◆ FTBufferGlyph()

FTBufferGlyph::FTBufferGlyph | ( | FT_GlyphSlot | glyph,
|  | FTBuffer * | buffer
| ) |  |

Constructor.

Parameters

  glyph | The Freetype glyph to be processed
  buffer | An FTBuffer object in which to render the glyph.

## ◆ ~FTBufferGlyph()

virtual FTBufferGlyph::~FTBufferGlyph | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ Render()

virtual const FTPoint& FTBufferGlyph::Render | ( | const FTPoint & | pen,
|  | int | renderMode
| ) |  |
| virtual

Render this glyph at the current pen position.

Parameters

  pen | The current pen position.
  renderMode | Render mode to display

Returns
  The advance distance for this glyph.

Implements FTGlyph.

The documentation for this class was generated from the following file:

- FTBufferGlyph.h